Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005134 [JEDI VCL] 00 JVCL Components minor always 2010-01-25 01:14 2011-06-10 16:09
Reporter debose View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005134: No text in autocomplete dialog for TJvEditor and descendants in D2010 on Vista
Description As I suppose, this is not bug indeed, but more likely leak of functionality.

How to repeat:
* place TjvEditor or TjvHLEditor or TJvWideEditor or TJvWideHLEditor.
* go to Completion property
* fill in Identifiers with few strings
* set Completion.Enabled := True;
* run program
* set cursor to JvEditor
* press Ctrl+Space

Will be shown popup with some lines, but no actual text will be drawn.

As I found in sources, Auto-completion popup style is set to lbOwnerDraw (even if it was set to lbStandard in Completion property) and assigns TJvEditor's event handler. If no event handler declared - then no drawing at all.
Additional Information I suggest to add default painting routine, if no OnDraw event was assigned.
Tags No tags attached.
Attached Files zip file icon JvEditorCompletionDraw_0005134.zip [^] (554 bytes) 2010-03-15 11:25

- Relationships

-  Notes
(0017250)
obones (administrator)
2010-03-08 16:04

Please provide the zipped sources of a sample application showing this
(0017303)
debose (reporter)
2010-03-15 11:25

Here they are.
(0017344)
AHUser (developer)
2010-04-02 13:14

Fixed in rev. 12726 (2010-03-16)

- Issue History
Date Modified Username Field Change
2010-01-25 01:14 debose New Issue
2010-03-08 16:04 obones Note Added: 0017250
2010-03-08 16:04 obones Status new => feedback
2010-03-15 11:25 debose File Added: JvEditorCompletionDraw_0005134.zip
2010-03-15 11:25 debose Note Added: 0017303
2010-04-02 13:14 AHUser Note Added: 0017344
2010-04-02 13:14 AHUser Status feedback => resolved
2010-04-02 13:14 AHUser Fixed in Version => Daily / SVN
2010-04-02 13:14 AHUser Resolution open => fixed
2010-04-02 13:14 AHUser Assigned To => AHUser
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker